#encoding:utf-8
import binascii

from lib.protocol.Base import Base

class ResponseBase(Base):
    def __init__(self):
        pass

    #######################################################
    # 二进制转换为ascii码
    #######################################################
    def binary2ascii(self,binData):
        strs = binascii.b2a_hex(binData)
        strsLen = len(str(strs))
        data = str(strs)[2:strsLen - 1]
        return data

    #######################################################
    # 还原消息中被转换过的7e和7d
    #######################################################
    def restore_7e7d(self,data):
        data = data.replace("7d02", "7e")
        data = data.replace("7d01", "7d")
        return data

    #######################################################
    # 去除标识位
    #######################################################
    def removeIdentify(self,data):
        dataLen = len(data)
        data = data[2:dataLen - 2]
        return data

    #######################################################
    # 10进制转换为2进制字符串
    #######################################################
    def int2binStr(self,data,bytescount=1):
        binStr = bin(data)
        binStr = binStr[2:]
        bytesLen = bytescount * 8
        while len(binStr) < bytesLen:
            binStr = "0" + binStr
        return binStr

    #######################################################
    # 16进制字符串转换为整数
    #######################################################
    def hexString2int(self, data):
        val = int(data,16)
        return val

    #######################################################
    # BCD时间格式转换为GMD时间格式
    #######################################################
    def getBCD2GMTTime(self,data):
        theTime = "20"
        theTime = theTime + data[:2]
        theTime = theTime + "-" + data[2:4]
        theTime = theTime + "-" + data[4:6]
        theTime = theTime + " " + data[6:8]
        theTime = theTime + ":" + data[8:10]
        theTime = theTime + ":" + data[10:]
        return theTime






if __name__ == "__main__":
    print(ResponseBase().int2binStr(7,2))