#coding:utf-8
import binascii
import socket

from lib.protocol.message.DataUpstreamTransport_msg import DataUpstreamTransport_msg
from lib.protocol.message.Location_msg import Location_msg
from lib.protocol.message.MessageBase import MessageBase
from lib.protocol.message.TerminalAuthenticate_msg import TerminalAuthenticate_msg
from lib.protocol.message.TerminalCommonMsgRes_msg import TerminalCommonMsgRes_msg
from lib.protocol.message.TerminalHeartbeat_msg import TerminalHeartbeat_msg
from lib.protocol.message.TerminalRegister_msg import TerminalRegister_msg
from lib.protocol.message.data.TerminalCancle_msg import TerminalCancle_msg
from lib.protocol.messageRes.PlatformCommon_res import PlatformCommon_res
from lib.protocol.messageRes.TerminalRegister_res import TerminalRegister_res

host = "10.100.9.17"
port = 9001

# msg = MessageBase().generateMsg()
# msg = TerminalCommonMsgRes_msg().generateMsg()         #终端通用应答
msg = TerminalHeartbeat_msg().generateMsg()          #终端心跳
# msg = TerminalRegister_msg().generateMsg()           #终端注册
# msg = TerminalCancle_msg().generateMsg()             #终端注销
# msg = TerminalAuthenticate_msg().generateMsg()       #终端鉴权
# msg = Location_msg().generateMsg()                   #位置信息汇报
# msg = DataUpstreamTransport_msg().generateMsg()      #数据上行透传消息

print(msg)
BUF_SIZE = 1024

client = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
client.setsockopt(socket.SOL_SOCKET, socket.SO_KEEPALIVE, 1)  # 在客户端开启心跳
client.connect((host, port))
client.send(binascii.a2b_hex(msg))
# client.send(bytes.fromhex(msg))
data = client.recv(BUF_SIZE)



print(data)
# print(binascii.b2a_hex(data))
# print(PlatformCommon_res(data).binary2ascii(data))
# print(PlatformCommon_res(data).getOriginalMsg())
print(PlatformCommon_res(data).getMsg())
# print(TerminalRegister_res(data).getMsg())
client.close()

