#coding:utf-8
import binascii
import socket
from lib.protocol.report.GPSReport_protocol import GPSReport_protocol
from lib.protocol.report.OBDReport_CAN_protocol import OBDReport_CAN_protocol
from lib.protocol.report.OBDReport_CAN_protocol import OBDReport_CAN_protocol
from lib.protocol.report.HeartBeatReport_protocol import HeartBeatReport_protocol
from lib.protocol.report.LoginReport_protocol import LoginReport_protocol
from lib.protocol.report.SecurityStatusReport_protocol import SecurityStatusReport_protocol
from lib.protocol.report.BaseStationReport_protocol import BaseStationReport_protocol
from lib.protocol.report.TroubleReport_protocol import TroubleReport_protocol
from lib.protocol.report.EventReport_protocol import EventReport_protocol

# host = "10.100.12.34"
# port = 8712

host = "10.100.12.32"
port = 9008

# msg = GPSReport_protocol().generateGpsMsg()    #GPS消息数据
# msg = OBDReport_protocol().generateOBDReportMsg()   #OBD终端上报数据
# msg = OBDReport_CAN_protocol().generateOBDReportCANMsg()     #OBD终端上报CAN数据
# msg = HeartBeatReport_protocol().generateHeartBeatMsg()   #终端上报心跳协议
# msg = LoginReport_protocol().generateLoginMsg()       #终端上报登录协议
# msg = SecurityStatusReport_protocol().generateSecurityStatusMsg()   #终端上报安防状态协议
# msg = BaseStationReport_protocol().generateBaseStationMsg()         #终端上报基站定位协议
# msg = TroubleReport_protocol().generateTroubleMsg()                 #终端上报故障码数据包
msg = EventReport_protocol().generateEventMsg()

print(msg)
BUF_SIZE = 1024

client = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
client.setsockopt(socket.SOL_SOCKET, socket.SO_KEEPALIVE, 1)  # 在客户端开启心跳
client.connect((host, port))
client.send(binascii.a2b_hex(msg))
# client.send(bytes.fromhex(msg))
data = client.recv(BUF_SIZE)
print(data)
client.close()

